package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 岗位人员技能评估对象 t_skillevaluation
 *
 * @author ruoyi
 * @date 2020-12-08
 */
public class TSkillevaluation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private String staffid;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 班组 */
    @Excel(name = "班组", dictType = "ABNORMAL_TEAM")
    private String classes;

    /** 裂解内操 */
    @Excel(name = "裂解岗位内操熟练度", dictType = "PERCENTAGE")
    private Long crackingBoard;

    /** 裂解外操 */
    @Excel(name = "裂解岗位外操熟练度", dictType = "PERCENTAGE")
    private Long crackingField;

    /** 压缩内操 */
    @Excel(name = "压缩岗位内操熟练度", dictType = "PERCENTAGE")
    private Long compressionBoard;

    /** 压缩外操 */
    @Excel(name = "压缩岗位外操熟练度", dictType = "PERCENTAGE")
    private Long compressionField;

    /** 分离内操 */
    @Excel(name = "分离岗位内操熟练度", dictType = "PERCENTAGE")
    private Long separationBoard;

    /** 分离外操 */
    @Excel(name = "分离岗位外操熟练度", dictType = "PERCENTAGE")
    private Long separationField;

    /** AEU内操 */
    @Excel(name = "AEU岗位内操熟练度", dictType = "PERCENTAGE")
    private Long aeuBoard;

    /** AEU外操 */
    @Excel(name = "AEU岗位外操熟练度", dictType = "PERCENTAGE")
    private Long aeuField;

    /** PFU内操 */
    @Excel(name = "PFU岗位内操熟练度", dictType = "PERCENTAGE")
    private Long pguBoard;

    /** PFU外操 */
    @Excel(name = "PFU岗位外操熟练度", dictType = "PERCENTAGE")
    private Long pguField;

    /** SUB内操 */
    @Excel(name = "SUB岗位内操熟练度", dictType = "PERCENTAGE")
    private Long subBoard;

    /** SUB外操 */
    @Excel(name = "SUB岗位外操熟练度", dictType = "PERCENTAGE")
    private Long subField;

    /** 总分 */
    @Excel(name = "总分")
    private String totalScore;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 排序顺序 */
    private String sortOrder;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setStaffid(String staffid)
    {
        this.staffid = staffid;
    }

    public String getStaffid()
    {
        return staffid;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setClasses(String classes)
    {
        this.classes = classes;
    }

    public String getClasses()
    {
        return classes;
    }
    public void setCrackingBoard(Long crackingBoard)
    {
        this.crackingBoard = crackingBoard;
    }

    public Long getCrackingBoard()
    {
        return crackingBoard;
    }
    public void setCrackingField(Long crackingField)
    {
        this.crackingField = crackingField;
    }

    public Long getCrackingField()
    {
        return crackingField;
    }
    public void setCompressionBoard(Long compressionBoard)
    {
        this.compressionBoard = compressionBoard;
    }

    public Long getCompressionBoard()
    {
        return compressionBoard;
    }
    public void setCompressionField(Long compressionField)
    {
        this.compressionField = compressionField;
    }

    public Long getCompressionField()
    {
        return compressionField;
    }
    public void setSeparationBoard(Long separationBoard)
    {
        this.separationBoard = separationBoard;
    }

    public Long getSeparationBoard()
    {
        return separationBoard;
    }
    public void setSeparationField(Long separationField)
    {
        this.separationField = separationField;
    }

    public Long getSeparationField()
    {
        return separationField;
    }
    public void setAeuBoard(Long aeuBoard)
    {
        this.aeuBoard = aeuBoard;
    }

    public Long getAeuBoard()
    {
        return aeuBoard;
    }
    public void setAeuField(Long aeuField)
    {
        this.aeuField = aeuField;
    }

    public Long getAeuField()
    {
        return aeuField;
    }
    public void setPguBoard(Long pguBoard)
    {
        this.pguBoard = pguBoard;
    }

    public Long getPguBoard()
    {
        return pguBoard;
    }
    public void setPguField(Long pguField)
    {
        this.pguField = pguField;
    }

    public Long getPguField()
    {
        return pguField;
    }
    public void setSubBoard(Long subBoard)
    {
        this.subBoard = subBoard;
    }

    public Long getSubBoard()
    {
        return subBoard;
    }
    public void setSubField(Long subField)
    {
        this.subField = subField;
    }

    public Long getSubField()
    {
        return subField;
    }
    public void setTotalScore(String totalScore)
    {
        this.totalScore = totalScore;
    }

    public String getTotalScore()
    {
        return totalScore;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setSortOrder(String sortOrder)
    {
        this.sortOrder = sortOrder;
    }

    public String getSortOrder()
    {
        return sortOrder;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("plantCode", getPlantCode())
            .append("staffid", getStaffid())
            .append("name", getName())
            .append("classes", getClasses())
            .append("crackingBoard", getCrackingBoard())
            .append("crackingField", getCrackingField())
            .append("compressionBoard", getCompressionBoard())
            .append("compressionField", getCompressionField())
            .append("separationBoard", getSeparationBoard())
            .append("separationField", getSeparationField())
            .append("aeuBoard", getAeuBoard())
            .append("aeuField", getAeuField())
            .append("pguBoard", getPguBoard())
            .append("pguField", getPguField())
            .append("subBoard", getSubBoard())
            .append("subField", getSubField())
            .append("totalScore", getTotalScore())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("sortOrder", getSortOrder())
            .toString();
    }
}
